<?php

$wp_customize->add_panel(
	'luzuk_them_general_panel',
	array(
		'priority' => 19,
		'title' => __('General Configuration', 'Luzuk Premium')
	)
);
//STATIC FRONT PAGE
$wp_customize->add_section( 'static_front_page', array(
	'title' => __( 'Static Front Page', 'Luzuk Premium' ),
	'panel' => 'luzuk_them_general_panel',
	'description' => __( 'Your theme supports a static front page.', 'Luzuk Premium'),
) );

//TITLE AND TAGLINE SETTINGS
$wp_customize->add_section( 'title_tagline', array(
	'title' => __( 'Site Logo/Title/Tagline', 'Luzuk Premium' ),
	'panel' => 'luzuk_them_general_panel',
) );


$wp_customize->add_setting('title_tagline_section_lbl', array('sanitize_callback'=>'luzuk_them_sanitize_text'));
$wp_customize->add_control(
    new luzuk_them_Info_Text( 
        $wp_customize,
        'title_tagline_section_lbl',
        array(
            'settings'      => 'title_tagline_section_lbl',
            'section'       => 'title_tagline',
            'label'         => __( 'Note:', 'Unbox' ),  
            'description'   => __( 'Kindly Use Logo Image of Resolution (90*71) Pixels', 'Unbox' ),
        )
    )
);



$wp_customize->add_setting(
    'pages_logoTopsetmaxwidth',
    array(
        'sanitize_callback' => 'luzuk_them_sanitize_text',
        'default'           => __( '100', 'Unbox' )
    )
);
$wp_customize->add_control(
    'pages_logoTopsetmaxwidth',
    array(
        'settings'      => 'pages_logoTopsetmaxwidth',
        'section'       => 'title_tagline',
        'type'          => 'text',
        'label'         => __( 'Set Logo Max Width', 'Unbox' )
    )
);



lzCustomLable($wp_customize, 'luzuk_them_headerlogo_margin', 'title_tagline', ' Site Header Logo Padding Setting:');

$wp_customize->add_setting(
	'pages_logoTmargin',
	array(
		'sanitize_callback' => 'luzuk_them_sanitize_text',
		'default'           => __( '15px', 'lz-fitness-premium' )
	)
);
$wp_customize->add_control(
	'pages_logoTmargin',
	array(
		'settings'      => 'pages_logoTmargin',
		'section'       => 'title_tagline',
		'type'          => 'text',
		'label'         => __( 'Logo Top Padding', 'lz-fitness-premium' )
	)
);
$wp_customize->add_setting(
	'pages_logoBmargin',
	array(
		'sanitize_callback' => 'luzuk_them_sanitize_text',
		'default'           => __( '15px', 'lz-fitness-premium' )
	)
);
$wp_customize->add_control(
	'pages_logoBmargin',
	array(
		'settings'      => 'pages_logoBmargin',
		'section'       => 'title_tagline',
		'type'          => 'text',
		'label'         => __( 'Logo Bottom Padding', 'lz-fitness-premium' )
	)
);
$wp_customize->add_setting(
	'pages_logoLmargin',
	array(
		'sanitize_callback' => 'luzuk_them_sanitize_text',
		'default'           => __( '0px', 'lz-fitness-premium' )
	)
);
$wp_customize->add_control(
	'pages_logoLmargin',
	array(
		'settings'      => 'pages_logoLmargin',
		'section'       => 'title_tagline',
		'type'          => 'text',
		'label'         => __( 'Logo Left Padding', 'lz-fitness-premium' )
	)
);
$wp_customize->add_setting(
	'pages_logoRmargin',
	array(
		'sanitize_callback' => 'luzuk_them_sanitize_text',
		'default'           => __( '0px', 'lz-fitness-premium' )
	)
);
$wp_customize->add_control(
	'pages_logoRmargin',
	array(
		'settings'      => 'pages_logoRmargin',
		'section'       => 'title_tagline',
		'type'          => 'text',
		'label'         => __( 'Logo Right Padding', 'lz-fitness-premium' )
	)
);



lzCustomLable($wp_customize, 'title_tagline', 'title_tagline', 'Add Header Logo Text & Tagline Color');

addColorPalatOption($wp_customize, 'luzuk_them_header_LogotextColor', 'title_tagline', 'Logo Text color', '#fe6b59');

addColorPalatOption($wp_customize, 'luzuk_them_header_TaglinetextColor', 'title_tagline', 'Tagline Text color', '#000000');

//BACKGROUND IMAGE
$wp_customize->add_section( 'background_image', array(
	'title' => __( 'Background Image Setting', 'Luzuk Premium' ),
	'panel' => 'luzuk_them_general_panel',
) );

//Header IMAGE
$wp_customize->add_section( 'header_image', array(
	'title' => __( 'Header Image', 'Luzuk Premium' ),
	'panel' => 'luzuk_them_general_panel',
) );



//HEADER LOGO MARGIN SETTINGS



//HEADER SETTINGS
$wp_customize->add_section(
	'luzuk_them_header_settings',
	array(
		'title' => __( 'Header Settings', 'Luzuk Premium' ),
		'panel' => 'luzuk_them_general_panel',
	)
);
	//ENABLE/DISABLE STICKY HEADER
// $wp_customize->add_setting(
// 	'luzuk_them_sticky_header_enable',
// 	array(
// 		'sanitize_callback' => 'luzuk_them_sanitize_text',
// 		'default' => 'off'
// 	)
// );
// $wp_customize->add_control(
// 	new luzuk_them_Switch_Control(
// 		$wp_customize,
// 		'luzuk_them_sticky_header_enable',
// 		array(
// 			'settings'		=> 'luzuk_them_sticky_header_enable',
// 			'section'		=> 'luzuk_them_header_settings',
// 			'label'			=> __( 'Sticky Header', 'Luzuk Premium' ),
// 			'on_off_label' 	=> array(
// 				'on' => __( 'Enable', 'Luzuk Premium' ),
// 				'off' => __( 'Disable', 'Luzuk Premium' )
// 			)	
// 		)
// 	)
// );

$sectionHeader = 'luzuk_them_header_settings';




lzCustomLable($wp_customize, 'luzuk_them_header_settings', $sectionHeader, 'Add Email & Phone Text');


$wp_customize->add_setting(
	'luzuk_them_headermain_email',
	array(
		'sanitize_callback' => 'luzuk_them_sanitize_text',
		'default'           => __( 'info@yourmailhere.com', 'lz-fitness-premium' )
	)
);
$wp_customize->add_control(
	'luzuk_them_headermain_email',
	array(
		'settings'      => 'luzuk_them_headermain_email',
		'section'       => 'luzuk_them_header_settings',
		'type'          => 'text',
		'label'         => __( 'Add Email Address Here:', 'lz-fitness-premium' )
	)
);


$wp_customize->add_setting(
	'luzuk_them_headermain_phone',
	array(
		'sanitize_callback' => 'luzuk_them_sanitize_text',
		'default'           => __( '+1 23 852 7854', 'lz-fitness-premium' )
	)
);
$wp_customize->add_control(
	'luzuk_them_headermain_phone',
	array(
		'settings'      => 'luzuk_them_headermain_phone',
		'section'       => 'luzuk_them_header_settings',
		'type'          => 'text',
		'label'         => __( 'Add Phone Number Here:', 'lz-fitness-premium' )
	)
);


addColorPalatOption($wp_customize, 'luzuk_them_header_emailndphoneIconsColor', 'luzuk_them_header_settings', ' Email & Phone Icon color', '#252525');

addColorPalatOption($wp_customize, 'luzuk_them_header_emailndphoneTxtColor', 'luzuk_them_header_settings', ' Email Id & Phone Text color', '#252525');

addColorPalatOption($wp_customize, 'luzuk_them_header_emailndTxtHvrColor', 'luzuk_them_header_settings', ' Email Text Hover color', '#f66854');







addColorPalatOption($wp_customize, 'luzuk_them_headerbgback_Color', 'luzuk_them_header_settings', 'Header Background color', '#ffffff');

addColorPalatOption($wp_customize, 'luzuk_them_header_topmenusColor', 'luzuk_them_header_settings', 'Header Menus color', '#000000');
addColorPalatOption($wp_customize, 'luzuk_them_header_topmenushoverColor', 'luzuk_them_header_settings', 'Header Menus Hover color', '#f56b51');

addColorPalatOption($wp_customize, 'luzuk_them_header_activeheademenusColor', 'luzuk_them_header_settings', 'Active Menu color', '#f56b51');


addColorPalatOption($wp_customize, 'luzuk_them_header_topsubmenusbackgroundColor', 'luzuk_them_header_settings', 'Header Dropdown Background color', '#ffffff');

addColorPalatOption($wp_customize, 'luzuk_them_header_topmenusiconColor', 'luzuk_them_header_settings', 'Header Sub Menu Icon color', '#f56b51');
addColorPalatOption($wp_customize, 'luzuk_them_header_topmenusiconhoverColor', 'luzuk_them_header_settings', 'Header Sub Menu Icon Hover color', '#f56b51');

addColorPalatOption($wp_customize, 'luzuk_them_header_topsubmenusColor', 'luzuk_them_header_settings', 'Header Sub Menus color', '#3b3634');
addColorPalatOption($wp_customize, 'luzuk_them_header_topsubmenushvrColor', 'luzuk_them_header_settings', 'Header Sub Menu Hover color', '#ffffff');
addColorPalatOption($wp_customize, 'luzuk_them_header_topsubmenusbgsshvrColor', 'luzuk_them_header_settings', 'Header Sub Menu Hover background color', '#000000');
addColorPalatOption($wp_customize, 'luzuk_them_header_activesubmenuColor', 'luzuk_them_header_settings', 'Header Active Sub Menu color', '#fe6b59');


lzCustomLable($wp_customize, 'luzuk_them_header_bottpadsettings', $sectionHeader, 'Set Bottom Header Padding');

$wp_customize->add_setting(
	'pages_BottomHeaderTpadding',
	array(
		'sanitize_callback' => 'luzuk_them_sanitize_text',
		'default'           => __( '0px', 'lz-fitness-premium' )
	)
);
$wp_customize->add_control(
	'pages_BottomHeaderTpadding',
	array(
		'settings'      => 'pages_BottomHeaderTpadding',
		'section'       => 'luzuk_them_header_settings',
		'type'          => 'text',
		'label'         => __( 'Bottom Header Top Padding', 'lz-fitness-premium' )
	)
);
$wp_customize->add_setting(
	'pages_BottomHeaderBpadding',
	array(
		'sanitize_callback' => 'luzuk_them_sanitize_text',
		'default'           => __( '0px', 'lz-fitness-premium' )
	)
);
$wp_customize->add_control(
	'pages_BottomHeaderBpadding',
	array(
		'settings'      => 'pages_BottomHeaderBpadding',
		'section'       => 'luzuk_them_header_settings',
		'type'          => 'text',
		'label'         => __( 'Bottom Header Bottom Padding', 'lz-fitness-premium' )
	)
);

$wp_customize->add_setting(
	'pages_BottomHeaderLpadding',
	array(
		'sanitize_callback' => 'luzuk_them_sanitize_text',
		'default'           => __( '0px', 'lz-fitness-premium' )
	)
);
$wp_customize->add_control(
	'pages_BottomHeaderLpadding',
	array(
		'settings'      => 'pages_BottomHeaderLpadding',
		'section'       => 'luzuk_them_header_settings',
		'type'          => 'text',
		'label'         => __( 'Bottom Header Left Padding', 'lz-fitness-premium' )
	)
);
$wp_customize->add_setting(
	'pages_BottomHeaderRpadding',
	array(
		'sanitize_callback' => 'luzuk_them_sanitize_text',
		'default'           => __( '00px', 'lz-fitness-premium' )
	)
);
$wp_customize->add_control(
	'pages_BottomHeaderRpadding',
	array(
		'settings'      => 'pages_BottomHeaderRpadding',
		'section'       => 'luzuk_them_header_settings',
		'type'          => 'text',
		'label'         => __( 'Bottom Header Right Padding', 'lz-fitness-premium' )
	)
);



// Adding the Label
lzCustomLable($wp_customize, 'luzuk_them_header_lblsocialtxt', $sectionHeader, 'Add Social Media Links');
// TWITTER
$wp_customize->add_setting('luzuk_them_header_tw', array('default'=> 'https://twitter.com', 'sanitize_callback' => 'esc_url_raw'));
$wp_customize->add_control('luzuk_them_header_tw',
	array(
		'settings'      => 'luzuk_them_header_tw',
		'section'       => 'luzuk_them_header_settings',
		'type'          => 'url',
		'label'         => __( 'Add Twitter Url Here', 'lz-fitness-premium' )
	)
);

// FACEBOOK 
$wp_customize->add_setting('luzuk_them_header_fb',	array('default'=> 'https://facebook.com', 'sanitize_callback' => 'esc_url_raw'));
$wp_customize->add_control('luzuk_them_header_fb',
	array(
		'settings'      => 'luzuk_them_header_fb',
		'section'       => 'luzuk_them_header_settings',
		'type'          => 'url',
		'label'         => __( 'Add Facebook Url Here', 'lz-fitness-premium' )
	)
);

// Instagram
$wp_customize->add_setting('luzuk_them_header_insta', array('default' => 'https://www.instagram.com', 'sanitize_callback' => 'esc_url_raw'));
$wp_customize->add_control('luzuk_them_header_insta',
	array(
		'settings'      => 'luzuk_them_header_insta',
		'section'       => 'luzuk_them_header_settings',
		'type'          => 'url',
		'label'         => __( 'Add Instagram Url Here', 'niwas' )
	)
); 

// Youtube
$wp_customize->add_setting('luzuk_them_header_youtube', array('default' => 'https://www.youtube.com/', 'sanitize_callback' => 'esc_url_raw'));
$wp_customize->add_control('luzuk_them_header_youtube',
	array(
		'settings'      => 'luzuk_them_header_youtube',
		'section'       => 'luzuk_them_header_settings',
		'type'          => 'url',
		'label'         => __( 'Add Youtube Url Here', 'niwas' )
	)
); 


// Linkedin
$wp_customize->add_setting('luzuk_them_header_linkedin', array('default' => 'https://www.linkedin.com/', 'sanitize_callback' => 'esc_url_raw'));
$wp_customize->add_control('luzuk_them_header_linkedin',
	array(
		'settings'      => 'luzuk_them_header_linkedin',
		'section'       => 'luzuk_them_header_settings',
		'type'          => 'url',
		'label'         => __( 'Add Linkedin Url Here', 'niwas' )
	)
); 


addColorPalatOption($wp_customize, 'luzuk_them_header_socialicoColor', 'luzuk_them_header_settings', 'Header Social Icon color', '#231a1f');

addColorPalatOption($wp_customize, 'luzuk_them_header_socialicohoveColor', 'luzuk_them_header_settings', 'Header Social Icon Hover color', '#f76953');





lzCustomLable($wp_customize, 'luzuk_them_header_colorsfortabandmobview', $sectionHeader, 'Colors For Tablet & Mobile View');

addColorPalatOption($wp_customize, 'luzuk_them_header_respnavbsbgssColor', 'luzuk_them_header_settings', 'Set Navigation Box Background Color for Tablet and Mobile View', '#9d9fa0');

addColorPalatOption($wp_customize, 'luzuk_them_header_activemenubgsscColor', 'luzuk_them_header_settings', 'Active Menu Background color for Tablet and Mobile View', '#ffffff');

addColorPalatOption($wp_customize, 'luzuk_them_header_respnavtoggbarbgssColor', 'luzuk_them_header_settings', 'Toggole Bar color for Tablet and Mobile View', '#f56b51');
//addColorPalatOption($wp_customize, 'luzuk_them_header_respnavtoggbaractivebgssColor', 'luzuk_them_header_settings', 'Active Toggole Bar color for Tablet and Mobile View', '#ff7c4e');

addColorPalatOption($wp_customize, 'luzuk_them_header_respsocialbxbgssc', 'luzuk_them_header_settings', 'Social Box Background color for Tablet and Mobile View', '#ffffff');


//COLOR SETTINGS
$wp_customize->add_section( 'colors', array(
	'title' => __( 'Colors' , 'Luzuk Premium'),
	'panel' => 'luzuk_them_general_panel',
) );

    $wp_customize->add_setting('luzuk_premium_color_section_lbl', array('sanitize_callback'=>'luzuk_sanitize_text'));
$wp_customize->add_control(
    new luzuk_them_Info_Text( 
        $wp_customize,
        'luzuk_premium_color_section_lbl',
        array(
            'settings'      => 'luzuk_premium_color_section_lbl',
            'section'       => 'colors',
            'label'         => __( 'Note:', 'luzuk-premium' ),  
            'description'   => __( '<b>This section available only for PRO version</b><br>If you want this section click on <b>Go Pro</b>', 'luzuk-premium' ),
        )
    )
);



//BREADCRUMB SETTINGS
$wp_customize->add_section(
	'luzuk_them_breadcrumb_settings',
	array(
		'title' => __( 'Breadcrumb Settings', 'Luzuk Premium' ),
		'panel' => 'luzuk_them_general_panel',
	)
);

//for breadcrumb to show & hide button

$wp_customize->add_setting( 'breadcrumb_button_display' , array( 'default' => true, 'transport' => 'refresh', ) ); 
$wp_customize->add_control( 'breadcrumb_button_display', array( 'label' => 'Breadcrumb Display', 'section' => 'luzuk_them_breadcrumb_settings', 'settings' => 'breadcrumb_button_display', 'type' => 'radio', 'choices' => array( 'show' => 'Show Breadcrumb', 'hide' => 'Hide Breadcrumb', ), ) ); 

$wp_customize->add_setting(
        'luzuk_them_breadcrumbhometxt',
        array(
            'sanitize_callback' => 'luzuk_them_sanitize_text',
            'default'           => __( 'Home', 'luzuk' )
        )
    );
    $wp_customize->add_control(
        'luzuk_them_breadcrumbhometxt',
        array(
            'settings'      => 'luzuk_them_breadcrumbhometxt',
            'section'       => 'luzuk_them_breadcrumb_settings',
            'type'          => 'text',
            'label'         => __( 'Add Breadcrumb Text Here:', 'luzuk' )
        )
    );

//Inner page breadcrumbbox title color
addColorPalatOption($wp_customize, 'luzuk_them_template_innerpage_breadcrumbtitlecolor', 'luzuk_them_breadcrumb_settings', 'Inner page breadcrumbbox title color', '#000');
//Inner page breadcrumbbox current title color
addColorPalatOption($wp_customize, 'luzuk_them_template_innerpage_breadcrumbcurrenttitlecolor', 'luzuk_them_breadcrumb_settings', 'Inner page breadcrumbbox current title color', '#fe6b59');
addColorPalatOption($wp_customize, 'luzuk_them_template_innerpage_breadcrumbcurrenttitlehovercolor', 'luzuk_them_breadcrumb_settings', 'Inner page breadcrumbbox current title hover color', '#121212');

//Inner page breadcrumbbox background color
addColorPalatOption($wp_customize, 'luzuk_them_template_innerpage_breadcrumbbgcolor', 'luzuk_them_breadcrumb_settings', 'Inner page breadcrumbbox background color', '#fff');
addColorPalatOption($wp_customize, 'luzuk_them_template_innerpage_breadcrumbbgbordercolor', 'luzuk_them_breadcrumb_settings', 'Inner page breadcrumbbox border color', '#ccc');

// end to show & hide button

//POSTPAGEDATE SETTINGS
$wp_customize->add_section(
	'luzuk_them_postpagedate_settings',
	array(
		'title' => __( 'Postpage Date display & Socials Settings', 'Luzuk Premium' ),
		'panel' => 'luzuk_them_general_panel',
	)
);

   $wp_customize->add_setting('luzuk_premium_postpage_section_lbl', array('sanitize_callback'=>'luzuk_sanitize_text'));
$wp_customize->add_control(
    new luzuk_them_Info_Text( 
        $wp_customize,
        'luzuk_premium_postpage_section_lbl',
        array(
            'settings'      => 'luzuk_premium_postpage_section_lbl',
            'section'       => 'luzuk_them_postpagedate_settings',
            'label'         => __( 'Note:', 'luzuk-premium' ),  
            'description'   => __( '<b>This section available only for PRO version</b><br>If you want this section click on <b>Go Pro</b>', 'luzuk-premium' ),
        )
    )
);



//FOOTER COPYRIGHT SETTINGS
$wp_customize->add_section(
	'luzuk_them_footer_copyright_settings',
	array(
		'title' => __( 'Footer Settings', 'Luzuk Premium' ),
		'panel' => 'luzuk_them_general_panel',
	)
);

$wp_customize->add_setting(
	'luzuk_them_footer_copyrighttext',
	array(
		'sanitize_callback' => 'luzuk_them_sanitize_text',
		'default'           => __( 'Copyright © 2018 Niwas Resort Hotel', 'Luzuk Premium' )
	)
);
$wp_customize->add_control(
	'luzuk_them_footer_copyrighttext',
	array(
		'settings'      => 'luzuk_them_footer_copyrighttext',
		'section'       => 'luzuk_them_footer_copyright_settings',
		'type'          => 'text',
		'label'         => __( 'Footer Copyright Text', 'Luzuk Premium' )
	)
);

addColorPalatOption($wp_customize, 'luzuk_them_footer_copyrighttext_color', 'luzuk_them_footer_copyright_settings', 'Copyright Footer Text Color', '#fff');

//backgroundManager($wp_customize, 'footer', 'luzuk_them_footer_copyright_settings', $color='#f2f1f0');


//section padding
lzCustomLable($wp_customize, 'footer', 'luzuk_them_footer_copyright_settings', ' Footer Padding Setting:');

$wp_customize->add_setting(
    'footer_toppadding',
    array(
        'sanitize_callback' => 'luzuk_them_sanitize_text',
        'default'           => __( '5em', 'niwas' )
    )
);
$wp_customize->add_control(
    'footer_toppadding',
    array(
        'settings'      => 'footer_toppadding',
        'section'       => 'luzuk_them_footer_copyright_settings',
        'type'          => 'text',
        'label'         => __( 'Footer Top Padding', 'niwas' )
    )
);
$wp_customize->add_setting(
    'footer_bottompadding',
    array(
        'sanitize_callback' => 'luzuk_them_sanitize_text',
        'default'           => __( '4em', 'niwas' )
    )
);
$wp_customize->add_control(
    'footer_bottompadding',
    array(
        'settings'      => 'footer_bottompadding',
        'section'       => 'luzuk_them_footer_copyright_settings',
        'type'          => 'text',
        'label'         => __( 'Footer Bottom Padding', 'niwas' )
    )
);
$wp_customize->add_setting(
    'footer_leftpadding',
    array(
        'sanitize_callback' => 'luzuk_them_sanitize_text',
        'default'           => __( '0em', 'niwas' )
    )
);
$wp_customize->add_control(
    'footer_leftpadding',
    array(
        'settings'      => 'footer_leftpadding',
        'section'       => 'luzuk_them_footer_copyright_settings',
        'type'          => 'text',
        'label'         => __( 'Footer Left Padding', 'niwas' )
    )
);
$wp_customize->add_setting(
    'footer_rightpadding',
    array(
        'sanitize_callback' => 'luzuk_them_sanitize_text',
        'default'           => __( '0em', 'niwas' )
    )
);
$wp_customize->add_control(
    'footer_rightpadding',
    array(
        'settings'      => 'footer_rightpadding',
        'section'       => 'luzuk_them_footer_copyright_settings',
        'type'          => 'text',
        'label'         => __( 'Footer Right Padding', 'niwas' )
    )
);



backgroundManager($wp_customize, 'footer', 'luzuk_them_footer_copyright_settings', $color='#ffffff', get_template_directory_uri().'/images/footerbg.jpg', 'color');


lzCustomLable($wp_customize, 'luzuk_them_footeroverlayocilty', 'luzuk_them_footer_copyright_settings', 'Set Footer Overlay opacity & Footer Overlay Background color:');


$wp_customize->add_setting(
	'pages_footeroverlayopacity',
	array(
		'sanitize_callback' => 'luzuk_them_sanitize_text',
		'default'           => __( '0.6', 'lz-fitness-premium' )
	)
);
$wp_customize->add_control(
	'pages_footeroverlayopacity',
	array(
		'settings'      => 'pages_footeroverlayopacity',
		'section'       => 'luzuk_them_footer_copyright_settings',
		'type'          => 'text',
		'label'         => __( 'Add Opacity Here:', 'lz-fitness-premium' )
	)
);
addColorPalatOption($wp_customize, 'footer_overlaybgsColor', 'luzuk_them_footer_copyright_settings', 'Slider Overlay Background Color', '#000');


lzCustomLable($wp_customize, 'luzuk_them_footer_logoimgbx', 'luzuk_them_footer_copyright_settings', 'Set Logo Image For upper footer');

$wp_customize->add_setting(
        'luzuk_them_footerlogo_image_heading',
        array(
            'sanitize_callback' => 'luzuk_them_sanitize_text'
        )
    );
    $wp_customize->add_control(
        new luzuk_them_Customize_Heading(
            $wp_customize,
            'luzuk_them_footerlogo_image_heading',
            array(
                'settings'      => 'luzuk_them_footerlogo_image_heading',
                'section'       => 'luzuk_them_footer_copyright_settings',
                'label'         => __( 'Logo Image', 'lz-fitness-premium' ),
            )
        )
    );
    $wp_customize->add_setting(
        'luzuk_them_footerlogo_image',
        array(
            'sanitize_callback' => 'esc_url_raw'
        )
    );
    $wp_customize->add_control(
        new WP_Customize_Image_Control(
            $wp_customize,
            'luzuk_them_footerlogo_image',
            array(
                'section' => 'luzuk_them_footer_copyright_settings',
                'settings' => 'luzuk_them_footerlogo_image',
                'description' => __('Recommended Image Size: 649X687px', 'lz-fitness-premium')
            )
        )
    );


lzCustomLable($wp_customize, 'footerupperrowremove_button_displaysets', 'luzuk_them_footer_copyright_settings', 'Remove Logo :');

// to show & hide another button
$wp_customize->add_setting( 'footerupperrowremove_button_display' , array( 'default' => true, 'transport' => 'refresh', ) ); $wp_customize->add_control( 'footerupperrowremove_button_display', array( 'label' => 'Upper Footer Dispaly Settings:', 'section' => 'luzuk_them_footer_copyright_settings', 'settings' => 'footerupperrowremove_button_display', 'type' => 'radio', 'choices' => array( 'show' => 'Show Footer Logo', 'hide' => 'Hide Footer Logo', ), ) ); 
// end to show & hide button



lzCustomLable($wp_customize, 'luzuk_them_footer_lblsocialtxt', 'luzuk_them_footer_copyright_settings', 'Add Social Media Links');
// TWITTER
$wp_customize->add_setting('luzuk_them_footer_tw', array('default'=> 'https://twitter.com', 'sanitize_callback' => 'esc_url_raw'));
$wp_customize->add_control('luzuk_them_footer_tw',
	array(
		'settings'      => 'luzuk_them_footer_tw',
		'section'       => 'luzuk_them_footer_copyright_settings',
		'type'          => 'url',
		'label'         => __( 'Add Twitter Url Here', 'lz-fitness-premium' )
	)
);

// FACEBOOK 
$wp_customize->add_setting('luzuk_them_footer_fb',	array('default'=> 'https://facebook.com', 'sanitize_callback' => 'esc_url_raw'));
$wp_customize->add_control('luzuk_them_footer_fb',
	array(
		'settings'      => 'luzuk_them_footer_fb',
		'section'       => 'luzuk_them_footer_copyright_settings',
		'type'          => 'url',
		'label'         => __( 'Add Facebook Url Here', 'lz-fitness-premium' )
	)
);

// Instagram
$wp_customize->add_setting('luzuk_them_footer_insta', array('default' => 'https://www.instagram.com', 'sanitize_callback' => 'esc_url_raw'));
$wp_customize->add_control('luzuk_them_footer_insta',
	array(
		'settings'      => 'luzuk_them_footer_insta',
		'section'       => 'luzuk_them_footer_copyright_settings',
		'type'          => 'url',
		'label'         => __( 'Add Instagram Url Here', 'niwas' )
	)
); 

// Linkedin
$wp_customize->add_setting('luzuk_them_footer_linke', array('default' => 'https://www.linkedin.com', 'sanitize_callback' => 'esc_url_raw'));
$wp_customize->add_control('luzuk_them_footer_linke',
	array(
		'settings'      => 'luzuk_them_footer_linke',
		'section'       => 'luzuk_them_footer_copyright_settings',
		'type'          => 'url',
		'label'         => __( 'Add Linkedin Url Here', 'niwas' )
	)
); 

// Youtybe
$wp_customize->add_setting('luzuk_them_footer_youtube', array('default' => 'https://www.youtube.com', 'sanitize_callback' => 'esc_url_raw'));
$wp_customize->add_control('luzuk_them_footer_youtube',
	array(
		'settings'      => 'luzuk_them_footer_youtube',
		'section'       => 'luzuk_them_footer_copyright_settings',
		'type'          => 'url',
		'label'         => __( 'Add Youtube Url Here', 'niwas' )
	)
); 


lzCustomLable($wp_customize, 'footerlogoremove_button_displaysets', 'luzuk_them_footer_copyright_settings', 'Footer Social Display Setting:');

// to show & hide another button
$wp_customize->add_setting( 'footersocialremove_button_display' , array( 'default' => true, 'transport' => 'refresh', ) ); $wp_customize->add_control( 'footersocialremove_button_display', array( 'label' => 'Footer Social Display', 'section' => 'luzuk_them_footer_copyright_settings', 'settings' => 'footersocialremove_button_display', 'type' => 'radio', 'choices' => array( 'show' => 'Show Social Icon', 'hide' => 'Hide Social Icon', ), ) ); 
// end to show & hide button



//theme Footer title Color
addColorPalatOption($wp_customize, 'luzuk_them_footer_title_color', 'luzuk_them_footer_copyright_settings', 'Footer Title Color', '#ffffff');

//theme Footer icon Color
addColorPalatOption($wp_customize, 'luzuk_them_footer_icon_color', 'luzuk_them_footer_copyright_settings', 'Footer Icon Color', '#615d5c');
//theme Footer icon hover Color
addColorPalatOption($wp_customize, 'luzuk_them_footer_iconhover_color', 'luzuk_them_footer_copyright_settings', 'Footer Icon Hover Color', 'ff7c4e');

//theme Footer text Color
addColorPalatOption($wp_customize, 'luzuk_them_footer_text_color', 'luzuk_them_footer_copyright_settings', 'Footer Text Color', '#ffffff');
addColorPalatOption($wp_customize, 'luzuk_them_footer_hglightsctext_color', 'luzuk_them_footer_copyright_settings', 'Footer Hightlight Text Color', '#ff7c4e');

//theme Footer menu Color
addColorPalatOption($wp_customize, 'luzuk_them_footer_menuicon_color', 'luzuk_them_footer_copyright_settings', 'Footer Count Text Color', '#615d5c');
addColorPalatOption($wp_customize, 'luzuk_them_footer_menuiconhvr_color', 'luzuk_them_footer_copyright_settings', 'Footer Menu Count Text Hover Color', '#ff7c4e');

addColorPalatOption($wp_customize, 'luzuk_them_footer_menu_color', 'luzuk_them_footer_copyright_settings', 'Footer Menu Color', '#ffffff');

//theme Footer menu hover Color
addColorPalatOption($wp_customize, 'luzuk_them_footer_menuhover_color', 'luzuk_them_footer_copyright_settings', 'Footer Menu Hover Color', '#f96e57');

//theme Footer social Color
addColorPalatOption($wp_customize, 'luzuk_them_footer_social_color', 'luzuk_them_footer_copyright_settings', 'Footer Social Color', '#9f9da0');

//theme Footer social Color
addColorPalatOption($wp_customize, 'luzuk_them_footer_socialhov_color', 'luzuk_them_footer_copyright_settings', 'Footer Social Hover Color', '#ffffff');

//theme Footer social Color new
addColorPalatOption($wp_customize, 'footer_social_bordercolor', 'luzuk_them_footer_copyright_settings', 'Footer Social Border Color', '#948e92');

//theme Footer social Color new
addColorPalatOption($wp_customize, 'footer_social_borderhovercolor', 'luzuk_them_footer_copyright_settings', 'Footer Social Hover Border Color', '#ffffff');


//theme Footer table text Color
addColorPalatOption($wp_customize, 'luzuk_them_footer_tabletext_color', 'luzuk_them_footer_copyright_settings', 'Footer Table Text Color', '#696665');
//theme Footer table border Color
addColorPalatOption($wp_customize, 'luzuk_them_footer_tableborder_color', 'luzuk_them_footer_copyright_settings', 'Footer Table Border Color', '#696665');
   


lzCustomLable($wp_customize, 'newslatter_padding', 'luzuk_them_footer_copyright_settings', 'Footer Newslatter padding Setting:');

$wp_customize->add_setting(
    'newslatter_toppadding',
    array(
        'sanitize_callback' => 'luzuk_them_sanitize_text',
        'default'           => __( '2em', 'niwas' )
    )
);
$wp_customize->add_control(
    'newslatter_toppadding',
    array(
        'settings'      => 'newslatter_toppadding',
        'section'       => 'luzuk_them_footer_copyright_settings',
        'type'          => 'text',
        'label'         => __( 'Footer Newslatter Box Top Padding', 'niwas' )
    )
);
$wp_customize->add_setting(
    'newslatter_bottompadding',
    array(
        'sanitize_callback' => 'luzuk_them_sanitize_text',
        'default'           => __( '2em', 'niwas' )
    )
);
$wp_customize->add_control(
    'newslatter_bottompadding',
    array(
        'settings'      => 'newslatter_bottompadding',
        'section'       => 'luzuk_them_footer_copyright_settings',
        'type'          => 'text',
        'label'         => __( 'Footer Newslatter Box Bottom Padding', 'niwas' )
    )
);
$wp_customize->add_setting(
    'newslatter_leftpadding',
    array(
        'sanitize_callback' => 'luzuk_them_sanitize_text',
        'default'           => __( '3em', 'niwas' )
    )
);
$wp_customize->add_control(
    'newslatter_leftpadding',
    array(
        'settings'      => 'newslatter_leftpadding',
        'section'       => 'luzuk_them_footer_copyright_settings',
        'type'          => 'text',
        'label'         => __( 'Footer Newslatter Box Left Padding', 'niwas' )
    )
);
$wp_customize->add_setting(
    'newslatter_rightpadding',
    array(
        'sanitize_callback' => 'luzuk_them_sanitize_text',
        'default'           => __( '3em', 'niwas' )
    )
);
$wp_customize->add_control(
    'newslatter_rightpadding',
    array(
        'settings'      => 'newslatter_rightpadding',
        'section'       => 'luzuk_them_footer_copyright_settings',
        'type'          => 'text',
        'label'         => __( 'Footer Newslatter Box Right Padding', 'niwas' )
    )
);

$wp_customize->add_setting(
    'lz_newslatter_title_sub_title_heading',
    array(
        'sanitize_callback' => 'luzuk_them_sanitize_text'
    )
);
$wp_customize->add_control(
    new luzuk_them_Customize_Heading(
        $wp_customize,
        'lz_newslatter_title_sub_title_heading',
        array(
            'settings'      => 'lz_newslatter_title_sub_title_heading',
            'section'       => 'luzuk_them_footer_copyright_settings',
            'label'         => __( 'Newsletter Title', 'Luzuk Themes Premium' ),
        )
    )
);    
$wp_customize->add_setting(
    'lz_newslatter_title',
    array(
        'sanitize_callback' => 'luzuk_them_sanitize_text',
        'default'           => __( 'Newsletter Sign Up', 'Luzuk Themes Premium' )
    )
);
$wp_customize->add_control(
    'lz_newslatter_title',
    array(
        'settings'      => 'lz_newslatter_title',
        'section'       => 'luzuk_them_footer_copyright_settings',
        'type'          => 'text',
        'label'         => __( 'Title', 'Luzuk Themes Premium' )
    )
);



$wp_customize->add_setting(
	'luzuk_them_newsletter_form_lbl',
	array(
		'sanitize_callback' => 'luzuk_them_sanitize_text',
	)
);

$wp_customize->add_control(
	new luzuk_them_Customize_Heading(
		$wp_customize,
		'luzuk_them_newsletter_form_lbl',
		array(
			'settings'      => 'luzuk_them_newsletter_form_lbl',
			'section'       => 'luzuk_them_footer_copyright_settings',
			'label'         => __( 'Add form shortcode', 'luzuk-premium' ),
		)
	)
);
$wp_customize->add_setting(
	'lz_newslatter_shortcode',
	array(
		'sanitize_callback' => 'luzuk_them_sanitize_text',
		'default'           => __( 'Add your form shortcode on customiser', 'luzuk-premium' )
	)
);
$wp_customize->add_control(
	'lz_newslatter_shortcode',
	array(
		'settings'      => 'lz_newslatter_shortcode',
		'section'       => 'luzuk_them_footer_copyright_settings',
		'type'          => 'text',
		'label'         => __( 'Shortcode', 'luzuk-premium' )
	)
);

//heading
addColorPalatOption($wp_customize, 'lz_newslatter_boxborderColor', 'luzuk_them_footer_copyright_settings', 'Select Newslatter Box Border color', '#ffffff');


//heading
addColorPalatOption($wp_customize, 'lz_newslatter_headingColor', 'luzuk_them_footer_copyright_settings', 'Select heading color', '#ffffff');


addColorPalatOption($wp_customize, 'luzuk_them_footer_formlabeltxt_color', 'luzuk_them_footer_copyright_settings', 'Footer Form Text & Calender label Text Color', '#ffffff');

addColorPalatOption($wp_customize, 'footer_formlabelinputtxt_color', 'luzuk_them_footer_copyright_settings', 'Footer Form & Calender label Text Color', '#8d8b8c');

//theme Footer form Color
addColorPalatOption($wp_customize, 'luzuk_them_footer_form_color', 'luzuk_them_footer_copyright_settings', 'Footer Form Text & Placeholder Text Color', '#8d8b8c');

//theme Footer form border Color
addColorPalatOption($wp_customize, 'luzuk_them_footer_formborder_color', 'luzuk_them_footer_copyright_settings', 'Footer Form text field & Calender background Color', '#fff');

//theme Footer form button Color 
addColorPalatOption($wp_customize, 'luzuk_them_footer_formbtn_color', 'luzuk_them_footer_copyright_settings', 'Footer Form Button Text Color', '#ffffff');
addColorPalatOption($wp_customize, 'luzuk_them_footer_formbtnhvrss_color', 'luzuk_them_footer_copyright_settings', 'Footer Form Button Hover Text Color', '#ffffff');

//theme Footer Form Button Background Color
addColorPalatOption($wp_customize, 'footer_formbtnbg_color', 'luzuk_them_footer_copyright_settings', 'Footer Form Button Background Color', '#f76953');

addColorPalatOption($wp_customize, 'footer_formbtnbghvrss_color', 'luzuk_them_footer_copyright_settings', 'Footer Form Button Background Hover Color', '#000000');

addColorPalatOption($wp_customize, 'luzuk_them_footer_menudate_color', 'luzuk_them_footer_copyright_settings', 'Calender Active Date Text Color', '#ff7c4e');

addColorPalatOption($wp_customize, 'luzuk_them_footer_calendertxtc_color', 'luzuk_them_footer_copyright_settings', 'Calender Day Text Color', '#ffffff');

addColorPalatOption($wp_customize, 'luzuk_them_footer_calendertxtcbgssc_color', 'luzuk_them_footer_copyright_settings', 'Calender Day Text background Color', '#121212');


lzCustomLable($wp_customize, 'footernewslatter_displaysets', 'luzuk_them_footer_copyright_settings', 'Footer Newslatter Display Setting:');

// to show & hide another button
$wp_customize->add_setting( 'footernewslatterremove_display' , array( 'default' => true, 'transport' => 'refresh', ) ); $wp_customize->add_control( 'footernewslatterremove_display', array( 'label' => 'Footer Social Display', 'section' => 'luzuk_them_footer_copyright_settings', 'settings' => 'footernewslatterremove_display', 'type' => 'radio', 'choices' => array( 'show' => 'Show Newslatter', 'hide' => 'Hide Newslatter', ), ) ); 
// end to show & hide button


lzCustomLable($wp_customize, 'footernewslatter_displaysets', 'luzuk_them_footer_copyright_settings', 'Footer Bottom Page Text & Page Link Display Setting:'); 

$wp_customize->add_setting(
    'luzuk_them_footer_traemcondition',
    array(
        'sanitize_callback' => 'luzuk_them_sanitize_text',
        'default'           => __( 'Tearm & condition' )
    )
);
$wp_customize->add_control(
    'luzuk_them_footer_traemcondition',
    array(
        'settings'      => 'luzuk_them_footer_traemcondition',
        'section'       => 'luzuk_them_footer_copyright_settings',
        'type'          => 'text',
        'label'         => __( 'Page Name', 'niwas' )
    )
);

$wp_customize->add_setting('luzuk_them_footer_traemconditionlink',   array('default'=> 'Add Page link here', 'sanitize_callback' => 'esc_url_raw'));
$wp_customize->add_control('luzuk_them_footer_traemconditionlink',
    array(
        'settings'      => 'luzuk_them_footer_traemconditionlink',
        'section'       => 'luzuk_them_footer_copyright_settings',
        'type'          => 'url',
        'label'         => __( 'Page Url', 'Unbox' )
    )
);


$wp_customize->add_setting(
    'luzuk_them_footer_privacypolicy',
    array(
        'sanitize_callback' => 'luzuk_them_sanitize_text',
        'default'           => __( 'Privacy Policy' )
    )
);
$wp_customize->add_control(
    'luzuk_them_footer_privacypolicy',
    array(
        'settings'      => 'luzuk_them_footer_privacypolicy',
        'section'       => 'luzuk_them_footer_copyright_settings',
        'type'          => 'text',
        'label'         => __( 'Page Name', 'niwas' )
    )
);

$wp_customize->add_setting('luzuk_them_footer_privacypolicylink',   array('default'=> 'Add Page link here', 'sanitize_callback' => 'esc_url_raw'));
$wp_customize->add_control('luzuk_them_footer_privacypolicylink',
    array(
        'settings'      => 'luzuk_them_footer_privacypolicylink',
        'section'       => 'luzuk_them_footer_copyright_settings',
        'type'          => 'url',
        'label'         => __( 'Page Url', 'Unbox' )
    )
);


addColorPalatOption($wp_customize, 'luzuk_them_footer_pagestext_color', 'luzuk_them_footer_copyright_settings', 'Footer Pages Text Color', '#ffffff');

addColorPalatOption($wp_customize, 'luzuk_them_footer_pagestexthovercolor', 'luzuk_them_footer_copyright_settings', 'Footer Pages Text Hover Color', '#f76953');

addColorPalatOption($wp_customize, 'luzuk_them_footer_pagestextbordercolor', 'luzuk_them_footer_copyright_settings', 'Footer Pages Text Border Color', '#ffffff');


//SHOP PAGE SIDEBAR SETTINGS
$wp_customize->add_section(
	'luzuk_them_shopsidebar_settings',
	array(
		'title' => __( 'Shop Page Sidebar Settings', 'Luzuk Premium' ),
		'panel' => 'luzuk_them_general_panel',
	)
);

   $wp_customize->add_setting('luzuk_premium_shoppage_section_lbl', array('sanitize_callback'=>'luzuk_sanitize_text'));
$wp_customize->add_control(
    new luzuk_them_Info_Text( 
        $wp_customize,
        'luzuk_premium_shoppage_section_lbl',
        array(
            'settings'      => 'luzuk_premium_shoppage_section_lbl',
            'section'       => 'luzuk_them_shopsidebar_settings',
            'label'         => __( 'Note:', 'luzuk-premium' ),  
            'description'   => __( '<b>This section available only for PRO version</b><br>If you want this section click on <b>Go Pro</b>', 'luzuk-premium' ),
        )
    )
);


$wp_customize->add_section(
	'luzuk_them_innerpageshortcode_page_settings',
	array(
		'title' => __( 'Color Setting For Shortcode Pages', 'lz-fitness-premium' ),
		'panel' => 'luzuk_them_general_panel',
	)
);

    $wp_customize->add_setting('luzuk_premium_colorsetting_section_lbl', array('sanitize_callback'=>'luzuk_sanitize_text'));
$wp_customize->add_control(
    new luzuk_them_Info_Text( 
        $wp_customize,
        'luzuk_premium_colorsetting_section_lbl',
        array(
            'settings'      => 'luzuk_premium_colorsetting_section_lbl',
            'section'       => 'luzuk_them_innerpageshortcode_page_settings',
            'label'         => __( 'Note:', 'luzuk-premium' ),  
            'description'   => __( '<b>This section available only for PRO version</b><br>If you want this section click on <b>Go Pro</b>', 'luzuk-premium' ),
        )
    )
);


$wp_customize->add_section(
	'luzuk_them_innerpagefont_settings',
	array(
		'title' => __( 'Inner Page Fonts Settings', 'lz-fitness-premium' ),
		'panel' => 'luzuk_them_general_panel',
	)
);
   $wp_customize->add_setting('luzuk_premium_innerpage_section_lbl', array('sanitize_callback'=>'luzuk_sanitize_text'));
$wp_customize->add_control(
    new luzuk_them_Info_Text( 
        $wp_customize,
        'luzuk_premium_innerpage_section_lbl',
        array(
            'settings'      => 'luzuk_premium_innerpage_section_lbl',
            'section'       => 'luzuk_them_innerpagefont_settings',
            'label'         => __( 'Note:', 'luzuk-premium' ),  
            'description'   => __( '<b>This section available only for PRO version</b><br>If you want this section click on <b>Go Pro</b>', 'luzuk-premium' ),
        )
    )
);
